all: sim
sim: pdmout_test.ghw square_test.ghw

sim_sources = pdmout_test.vhdl square_test.vhdl
sources = pdmout.vhdl square.vhdl


%.ghw: work-obj93.cf
	ghdl -r $* --wave=$@


work-obj93.cf: $(sim_sources) $(sources)
	ghdl -a $^

PHONY: sim

.PRECIOUS: test.ghw
